<?php
Route::post('ProcessInfo', ['as' => 'hamahang.process.info', 'uses' => 'ProcessController@ProcessInfo', 'middleware' => ['dynamic_permission:posts.hamahang.process.info']]);
Route::post('AddNewRelation', ['as' => 'hamahang.process.add_new_relation', 'uses' => 'ProcessController@AddNewRelation', 'middleware' => ['dynamic_permission:posts.hamahang.process.add_new_relation']]);
Route::post('FetchProcessList', ['as' => 'hamahang.process.fetch_list', 'uses' => 'ProcessController@FetchProcess', 'middleware' => ['dynamic_permission:posts.hamahang.process.fetch_list']]);
Route::post('UserProcess', ['as' => 'hamahang.process.user_process', 'uses' => 'ProcessController@UserProcess', 'middleware' => ['dynamic_permission:posts.hamahang.process.user_process']]);
Route::post('add_next_task', ['as' => 'hamahang.process.add_next_task', 'uses' => 'ProcessController@AddNextTask', 'middleware' => ['dynamic_permission:posts.hamahang.process.add_next_task']]);
Route::post('process_tasks/{id}', ['as' => 'hamahang.process.tasks', 'uses' => 'ProcessController@ProcessTasksFetch', 'middleware' => ['dynamic_permission:posts.hamahang.process.tasks']]);
Route::post('SaveNewProcess', ['as' => 'hamahang.process.save_new_process', 'uses' => 'ProcessController@SaveNewProcess', 'middleware' => ['dynamic_permission:posts.hamahang.process.save_new_process']]);
Route::post('ProcessTasks/{id}', ['as' => 'hamahang.process.process_tasks', 'uses' => 'ProcessController@FetchProcessTasks', 'middleware' => ['dynamic_permission:posts.hamahang.process.process_tasks']]);
Route::post('RemovePermission', ['as' => 'hamahang.process.remove_permission', 'uses' => 'ProcessController@RemovePermission', 'middleware' => ['dynamic_permission:posts.hamahang.process.remove_permission']]);
Route::post('FetchProcessDraftsList', ['as' => 'hamahang.Process.drafts_list', 'uses' => 'ProcessController@FetchProcessDrafts', 'middleware' => ['dynamic_permission:posts.hamahang.process.drafts_list']]);
Route::post('AddTaskPermission', ['as' => 'hamahang.process.add_task_permission', 'uses' => 'ProcessController@AddTaskPermission', 'middleware' => ['dynamic_permission:posts.hamahang.process.add_task_permission']]);
Route::post('ProcessValidation', ['as' => 'hamahang.process.process_validation', 'uses' => 'ProcessController@ProcessValidation', 'middleware' => ['dynamic_permission:posts.hamahang.process.process_validation']]);
Route::post('ProcessEntityList/{name}', ['as' => 'hamahang.Process.entity_list', 'uses' => 'ProcessController@ProcessEntityList', 'middleware' => ['dynamic_permission:posts.hamahang.process.entity_list']]);
Route::post('SaveNewProcessTask', ['as' => 'hamahang.process.save_new_process_task', 'uses' => 'ProcessController@SaveNewProcessTask', 'middleware' => ['dynamic_permission:posts.hamahang.process.save_new_process_task']]);
Route::post('SearchProcessTask/{id}', ['as' => 'hamahang.process.search_process_task', 'uses' => 'ProcessController@SearchProcessTask', 'middleware' => ['dynamic_permission:posts.hamahang.process.search_process_task']]);
Route::post('CreateNewProcessEntity', ['as' => 'hamahang.process.create_new_process_entity', 'uses' => 'ProcessController@CreateNewProcessEntity', 'middleware' => ['dynamic_permission:posts.hamahang.process.create_new_process_entity']]);
Route::post('RemoveProcessTaskRelation', ['as' => 'hamahang.process.remove_process_task_relation', 'uses' => 'ProcessController@RemoveProcessTaskRelation', 'middleware' => ['dynamic_permission:posts.hamahang.process.remove_process_task_relation']]);
Route::post('FetchProcessTaskNextTasks/{id}', ['as' => 'hamahang.process.fetch_process_task_next_tasks', 'uses' => 'ProcessController@FetchProcessTaskNextTasks', 'middleware' => ['dynamic_permission:posts.hamahang.process.fetch_process_task_next_tasks']]);
Route::post('ProcessTaskEditPermittedUsers/{id}', ['as' => 'hamahang.process.process_task_edit_permitted_users', 'uses' => 'ProcessController@ProcessTaskEditPermittedUsers', 'middleware' => ['dynamic_permission:posts.hamahang.process.process_task_edit_permitted_users']]);
Route::post('ProcessTaskObservationPermittedUsers/{id}', ['as' => 'hamahang.process.process_task_observation_permitted_users', 'uses' => 'ProcessController@ProcessTaskObservationPermittedUsers', 'middleware' => ['dynamic_permission:posts.hamahang.process.process_task_observation_permitted_users']]);
Route::post('change_process_task_edit_permission_group_type', ['as' => 'hamahang.process.change_process_task_edit_permission_group_type', 'uses' => 'ProcessController@change_process_task_edit_permission_group_type', 'middleware' => ['dynamic_permission:posts.hamahang.process.change_process_task_edit_permission_group_type']]);
Route::post('change_process_task_observation_permission_group_type', ['as' => 'hamahang.process.change_process_task_observation_permission_group_type', 'uses' => 'ProcessController@change_process_task_observation_permission_group_type', 'middleware' => ['dynamic_permission:posts.hamahang.process.change_process_task_observation_permission_group_type']]);
/* ??? *///Route::get('process_window', ['as' => 'Process.process_window', 'uses' => 'ProcessController@new_process_window', 'menu' => 'true', 'route_title' => trans("route_tile.project")]);
/* ??? */Route::post('ModifyProcessInfo', ['as' => 'hamahang.process.ModifyProcessInfo', 'uses' => 'ProcessController@ModifyProcessInfo', 'middleware' => ['dynamic_permission:posts.hamahang.process.modify_process_info']]);